[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.GetAsHtml

Retrieves the HTML content of the clipboard (if available).

## Declaration

Source position: clipbrd.pp line 199

`public function TClipboard.GetAsHtml(`
`ExtractFragmentOnly: Boolean`
`):string;`

## Function result

The HTML content of the clipboard as a string. Empty string if the function fails.

## Description

Retrieves the HTML content of the clipboard (if available). On Windows it will automatically remove the clipboard header that Windows inserts. The resulting HTML string will be UTF-8 encoded.